For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETList Numbers
      • POSTCreate Number
      • GETGet Messages
      • DELDelete Number
LogoLogo
HomeGet API key
API Referencenumbers

Get Messages

GET
https://api.agentphone.ai/v1/numbers/:number_id/messages
GET
/v1/numbers/:number_id/messages
1const url = 'https://api.agentphone.ai/v1/numbers/number_id/messages';
2const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{
2 "data": [
3 {
4 "id": "string",
5 "from_": "string",
6 "to": "string",
7 "body": "string",
8 "direction": "string",
9 "receivedAt": "2024-01-15T09:30:00Z",
10 "channel": "string"
11 }
12 ],
13 "hasMore": true
14}

Get messages for a specific phone number.

Supports cursor-based pagination via before/after timestamps.

Was this page helpful?
Previous

Delete Number

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

number_idstringRequired

Query parameters

limitintegerOptional<=200Defaults to 50
beforedatetime or nullOptional
afterdatetime or nullOptional

Response

Successful Response
datalist of objects
hasMoreboolean

Errors

422
Unprocessable Entity Error